<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 *
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author        D3 Data Development <support@shopmodule.com>
 * @link          http://www.oxidmodule.com
 */

/**
 * Class d3printbasket_update
 */
class d3printbasket_update extends d3install_updatebase
{
    public $sModKey = 'd3printbasket';
    public $sModName = 'Warenkorb drucken';
    public $sModVersion = '2.1.1.0';
    public $sModRevision = '56';
    public $sBaseConf = '0PgcndNRWRCckdMWkhZRjVHYXBFTlNwempFNUxBdkNWU2dDcW5rNm5kU0x3RHh6OUh6SEFIdFBac2pET
1RpNHZsdlJjUGZWbGhkbFcwUmR4YkxGU2xjZ0M2Mlg3cFpSZHJxUzcyNTlkazdVclh5ejU0N0puRVJ0b
2dOZ25aZjFKQTdDYy9ReExIWmFRM3ZtNzluU2JvTkNFcVFvRzJGOTVQRDlGeHU5QVlkNlZpc1hxbVdBS
DlBTXB1RkJsNDgvRGp6aE1lT1N6N085Y0hYMlVqQk5kSFdlNnlETjM5bXMxTVVhYXRIazMyMDIyb0FsT
mVQTFdKVWJhMkQ2Qk1NbzlsVlowSTNPOVpQL1dXK1NwWENCZ3FhWWtvWlBEMk16YTVsemFwMlluWGpCS
DMwekNmV3g5S2hYTEh2Wk91VU5sNGxIamdsbFplY2hmajZHMG84emVtdmFRPT0=';
    public $sRequirements = '';
    public $sBaseValue = '';

    /**
     * minimale Modul-Connector Versionsprfung fr die Installation
     */
    public $sMinModCfgVersion = '4.4.1.0';

    protected $_aUpdateMethods = array(
        array(
            'check' => 'checkModCfgItemExist',
            'do'    => 'updateModCfgItemExist'
        ),
        array(
            'check' => 'hasUnregisteredFiles',          // gltige Modul-Dateien prfen - see metadata.php d3FileRegister
            'do'    => 'showUnregisteredFiles'
        ),
        array(
            'check' => 'checkModCfgSameRevision',
            'do'    => 'updateModCfgSameRevision'
        ),
    );

    public $aFields = array();

    public $aIndizes = array();

    protected $_aRefreshMetaModuleIds = array('d3printbasket');

    /**
     * @return bool
     */
    public function hasUnregisteredFiles()
    {
        return $this->_hasUnregisteredFiles($this->sModKey, array('d3FileRegister'));
    }

    /**
     * @return bool
     */
    public function showUnregisteredFiles()
    {
        return $this->_showUnregisteredFiles($this->sModKey, array('d3FileRegister'));
    }
}
